public final class ExempleSingleton {
    
    private static ExempleSingleton instance;
    public String value;

    private ExempleSingleton(String value) {
        // Simulem una inicialització lenta
        try {
            Thread.sleep(1000);
        } catch (InterruptedException ex) {
            ex.printStackTrace();
        }
        this.value = value;
    }

    public static ExempleSingleton getInstance(String value) {
        if (instance == null) {
            instance = new ExempleSingleton(value);
        }
        return instance;
    }
}